cascading.tap.local

## Class StdErrTap

- java.lang.Object
- - cascading.tap.Tap<Config,java.lang.Void,Output>
  - - cascading.tap.SinkTap<java.util.Properties,java.io.OutputStream>
    - - cascading.tap.local.StdErrTap

- All Implemented Interfaces:
    FlowElement, ScopedElement, Traceable, java.io.Serializable

      public class StdErrTap
      extends SinkTap<java.util.Properties,java.io.OutputStream>

  Class StdErrTap provides a local mode tap for writing data to the `stderr` stream.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StdErrTap(Scheme<java.util.Properties,?,java.io.OutputStream,?,?> scheme)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `createResource(java.util.Properties conf)`
    `boolean` | `deleteResource(java.util.Properties conf)`
    `java.lang.String` | `getIdentifier()`
    `long` | `getModifiedTime(java.util.Properties conf)`
    `TupleEntryCollector` | `openForWrite(FlowProcess<? extends java.util.Properties> flowProcess, java.io.OutputStream output)`
    `boolean` | `resourceExists(java.util.Properties conf)`

    - ### Methods inherited from class cascading.tap.SinkTap

      `getSourceFields, isSource, openForRead, prepareResourceForRead, sourceConfInit`

    - ### Methods inherited from class cascading.tap.Tap

      `commitResource, createResource, deleteResource, equals, flowConfInit, getConfigDef, getFullIdentifier, getFullIdentifier, getModifiedTime, getNodeConfigDef, getScheme, getSinkFields, getSinkMode, getStepConfigDef, getTrace, hasConfigDef, hashCode, hasNodeConfigDef, hasStepConfigDef, id, isKeep, isReplace, isSink, isTemporary, isUpdate, openForRead, openForWrite, outgoingScopeFor, prepareResourceForWrite, presentSinkFields, presentSourceFields, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, resourceExists, retrieveSinkFields, retrieveSourceFields, rollbackResource, setScheme, sinkConfInit, taps, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StdErrTap

          public StdErrTap(Scheme<java.util.Properties,?,java.io.OutputStream,?,?> scheme)

  - ### Method Detail

    - #### getIdentifier

          public java.lang.String getIdentifier()

      Specified by:
        `getIdentifier` in class `Tap<java.util.Properties,java.lang.Void,java.io.OutputStream>`

    - #### openForWrite

          public TupleEntryCollector openForWrite(FlowProcess<? extends java.util.Properties> flowProcess,
                                         java.io.OutputStream output)
                                           throws java.io.IOException

      Specified by:
        `openForWrite` in class `Tap<java.util.Properties,java.lang.Void,java.io.OutputStream>`
      Throws:
        `java.io.IOException`

    - #### createResource

          public boolean createResource(java.util.Properties conf)
                                 throws java.io.IOException

      Specified by:
        `createResource` in class `Tap<java.util.Properties,java.lang.Void,java.io.OutputStream>`
      Throws:
        `java.io.IOException`

    - #### deleteResource

          public boolean deleteResource(java.util.Properties conf)
                                 throws java.io.IOException

      Specified by:
        `deleteResource` in class `Tap<java.util.Properties,java.lang.Void,java.io.OutputStream>`
      Throws:
        `java.io.IOException`

    - #### resourceExists

          public boolean resourceExists(java.util.Properties conf)
                                 throws java.io.IOException

      Specified by:
        `resourceExists` in class `Tap<java.util.Properties,java.lang.Void,java.io.OutputStream>`
      Throws:
        `java.io.IOException`

    - #### getModifiedTime

          public long getModifiedTime(java.util.Properties conf)
                               throws java.io.IOException

      Specified by:
        `getModifiedTime` in class `Tap<java.util.Properties,java.lang.Void,java.io.OutputStream>`
      Throws:
        `java.io.IOException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.